BMC-CONFIG(8)

NAME
bmc-config - manual page for bmc-config. BMC Config version 0.4.6

DESCRIPTION
IPMI BMC Configurator is used to get and set BMC configurations. The majority of configuration operations require ADMIN privilege when using bmc-config out-of-band. Although connecting via a user with ADMIN privileges is not required for out-of-band use, the vast majority of configuration options will not be retrieved or set.

OPTIONS

--no-probing
    Do not probe IPMI devices.

-D, --driver-type=IPMIDRIVER
    Use this IPMIDRIVER instead of auto selection. Allowed values are KCS, SMIC, SSIF, LAN, and OPENIPMI.

--driver-address=DRIVERADDR
    Use this DRIVERADDR address instead of probed one.

--driver-device=DEVICE Use this DEVICE for IPMI driver.

-r, --register-spacing=EGISTERSPACING
    Use this REGISTERSPACING instead of the probed one.

-h, --hostname=IPMIHOST
    Connect to IPMIHOST.

-u, --username=USERNAME
    Use USERNAME instead of NULL. Maximum USERNAME length is 16.

-p, --password=PASSWORD
    Use PASSWORD instead of NULL. Maximum PASSWORD length is 16.

-P, --password-prompt
    Prompt for password to avoid possibility of listing it in process lists.

-a, --auth-type=AUTHTYPE
    Use AUTHTYPE instead of MD5. Allowed values are NONE, MD2, MD5, and PLAIN.

-l, --priv-level=PRIVILEGE-LEVEL
    Use this PRIVILEGE-LEVEL instead of ADMIN. Allowed values are CALLBACK, USER, OPERATOR, ADMIN and OEM.

--debug
    Turn on debugging.

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

-o, --checkout
    Fetch configuration information from BMC.

-i, --commit
    Update configuration information to BMC.

-d, --diff
    Show differences between BMC and config file or key pairs.

-f FILENAME, --filename=FILENAME
    Use this file for BMC checkout/commit.

-k "KEY=VALUE", --key-pair="KEY=VALUE"
    Use KEY=VALUE pairs for checkout/commit/diff. This option can be used multiple times.

-S "SECTION", --section="SECTION"
    Use SECTION for checkout. This option can be used multiple times.

-L, --listsections
    List available sections for checkout.

-v, --verbose
    Print detailed information.

EXAMPLES
# bmc-config --checkout

Show all BMC configuration to console.

# bmc-config --checkout --filename=bmc-data1.conf

Store all BMC configuration to bmc-data1.conf.

# bmc-config --diff -f bmc-data2.conf

Show all difference between BMC and bmc-data2.conf file.

# bmc-config --diff --key-pair="lan_conf_misc:gratuitous_arp_interval=8"

Show difference with BMC of key 'gratuitous_arp_interval' and value '8'.

# bmc-config --commit -f bmc-data1.conf

Commit all configuration values from bmc-data1.conf file to BMC.

# bmc-config --commit --key-pair="lan_conf_misc:gratuitous_arp_interval=4"

Commit key 'gratuitous_arp_interval' of value '4' to BMC.

# bmc-config --commit -f bmc-data-updt.conf --key-pair="lan_conf_misc:gratuitous_arp_interval=4"

Commit all configuration values from bmc-data-updt.conf and key 'gratuitous_arp_interval' of value '4' to BMC.

REPORTING BUGS
Report bugs to <freeipmi-devel@gnu.org>.

COPYRIGHT
Copyright © 2003,04,05 FreeIPMI Core Team. This program is free software; you may redistribute it under the terms of the GNU General Public License. This program has absolutely no warranty.